////////////////////////////////////////
//////////Fuggy Shader//////////////////
////////////////////////////////////////

textures/FuggyJumps/SW1
{
	cull disable
	surfaceparm water
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm fog
	TessSize 256
	deformVertexes wave 45 sin 5 4 2 .6
	q3map_surfaceLight 50
	qer_editorImage textures/FuggyJumps/SW1.tga
	fogparms ( 0 0.2 0 ) 1024
	{ 
		map textures/FuggyJumps/SW1.tga
		rgbgen identity
		tcmod scale .5 .5
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
		rgbgen identity		
	}
}

textures/FuggyJumps/glass
{
	qer_editorimage textures/FuggyJumps/glass.tga
	surfaceparm trans
	cull none
	qer_trans .2
	{
		map textures/FuggyJumps/tinfx2.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
}

textures/FuggyJumps/camera
{
	qer_editorimage textures/FuggyJumps/camera.tga
	surfaceparm playerclip
	surfaceparm nolightmap
	portal
	{
		tcMod turb 0 0.25 0 0.05
		map textures/FuggyJumps/camera.tga
 		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		depthWrite
		alphaGen portal 2048
    }
}

textures/FuggyJumps/metal3
{
        surfaceparm detail
        surfaceparm nodamage
        surfaceparm nomarks
        qer_editorimage textures/FuggyJumps/metal3.jpg
        {
            map textures/FuggyJumps/glanz.tga
            tcGen environment
        }
        {
            map textures/FuggyJumps/metal3.jpg
            blendFunc GL_ONE GL_ONE
            tcMod scale 8 8
            rgbGen identity
        }
        {
            map $lightmap
            rgbgen identity
            blendFunc GL_DST_COLOR GL_ZERO
        }
}

textures/FuggyJumps/lila
{
	qer_editorimage	textures/FuggyJumps/lila.tga
	qer_trans .75
	surfaceparm	nomarks
	surfaceparm 	nodamage
	surfaceparm	trans
	surfaceparm 	nolightmap
	cull		twosided
    {
        map textures/FuggyJumps/lila.tga
        
        rgbGen wave sin 0.65 0.35 0 0.2
        tcMod scroll -1 2
    }
    {
        map textures/FuggyJumps/lila.tga
        blendFunc GL_ONE GL_ONE
        tcMod scroll 2 1
    }
}

textures/FuggyJumps/lichtweiss
{
    deformVertexes autoSprite
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nonsolid
    surfaceparm noimpact
    surfaceparm nolightmap
    cull none
          {
            map textures/FuggyJumps/lichtweiss.jpg
            blendFunc GL_ONE GL_ONE
          }
}

textures/FuggyJumps/lichtweissflackern
{
    deformVertexes autoSprite
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nonsolid
    surfaceparm noimpact
    surfaceparm nolightmap
    cull none
          {
            map textures/FuggyJumps/lichtweissflackern.jpg
            blendFunc GL_ONE GL_ONE
            rgbGen wave noise 0.5 1 0 5.37
          }
}

textures/FuggyJumps/teleporter
{
	qer_editorimage	textures/FuggyJumps/teleporter.tga
	qer_trans .75
	surfaceparm	nomarks
	surfaceparm 	nodamage
	surfaceparm	trans
	surfaceparm 	nolightmap
	cull		twosided
    {
        map textures/FuggyJumps/teleporter.tga
        blendFunc GL_ONE GL_ONE
        rgbGen wave sin 0.65 0.35 0 0.2
        tcMod scroll -1 2
    }
    {
        map textures/FuggyJumps/teleporter.tga
        blendFunc GL_ONE GL_ONE
        tcMod scroll 2 1
    }
}

textures/FuggyJumps/red
{
	qer_editorimage	textures/FuggyJumps/red.tga
	qer_trans .75
	surfaceparm	nomarks
	surfaceparm 	nodamage
	surfaceparm	trans
	surfaceparm 	nolightmap
	cull		twosided
    {
        map textures/FuggyJumps/red.tga
         
        rgbGen wave sin 0.65 0.35 0 0.2
        tcMod scroll -1 2
    }
    {
        map textures/FuggyJumps/red.tga
        blendFunc GL_ONE GL_ONE
        tcMod scroll 2 1
    }
}

textures/FuggyJumps/trace
{
	surfaceparm trans
	cull none
	nopicmip
	nomipmaps

	
	{
		map textures/FuggyJumps/trace.tga
		AlphaFunc GE128
		depthWrite
	}

	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

models/mapobjects/FuggyJumps/tele_bigupside
{
	{
		map textures/FuggyJumps/tinfx3.tga
		rgbGen identity
		tcMod scale 2 2
		tcGen environment 
	}
	{
		videomap blinkeye.roq
		blendfunc add
		rgbGen identity
	}
	{
		map models/mapobjects/FuggyJumps/scanline.tga
		blendfunc blend
		rgbGen identity
		tcMod scroll 0 -0.035
		tcMod scale 45 45
	}
	{
		map models/mapobjects/FuggyJumps/screen.tga
		blendfunc blend
		rgbGen Vertex
	}
}

models/mapobjects/FuggyJumps/teleskin
{
	{
		map models/mapobjects/FuggyJumps/plasma.tga
		rgbGen identity
		tcMod turb 0.2 0.1 0 0.2
		tcMod scale 3 3
	}
	{
		map models/mapobjects/FuggyJumps/plasma.tga
		blendfunc gl_one gl_one_minus_src_alpha
		rgbGen wave sin 0.7 0.2 0 0.2 
		tcMod scroll 0.002 0.003
		tcMod scale 4 4
		tcMod turb 0 0.1 0 0.1
	}
	{
		map models/mapobjects/FuggyJumps/teleskin.tga
		blendfunc blend
		rgbGen Vertex
	}
	{
		map models/mapobjects/FuggyJumps/glow.tga
		blendfunc add
		rgbGen wave sin 0.7 0.2 0 0.2 
	}
}

////////////////////////////////////////
//////////Fuggy Slick/NoDamage//////////
////////////////////////////////////////

textures/FuggyJumpsSlickNoDamage/achtung_clang:q3map
{
	surfaceparm nodamage
}

textures/FuggyJumpsSlickNoDamage/street_blacktop1:q3map
{
	surfaceparm nodamage
}

textures/FuggyJumpsSlickNoDamage/street_blacktop2:q3map
{
	surfaceparm slick
	surfaceparm nodamage
}

textures/FuggyJumpsSlickNoDamage/e8_base1c:q3map
{
	surfaceparm slick
}

textures/FuggyJumpsSlickNoDamage/concrete_squaredark:q3map
{
	surfaceparm nodamage
}

textures/FuggyJumpsSlickNoDamage/zinc_rusty1ach:q3map
{
	surfaceparm slick
	surfaceparm nodamage
}

textures/FuggyJumpsSlickNoDamage/e8warning256:q3map
{
	surfaceparm slick
}

textures/FuggyJumpsSlickNoDamage/tiled_floor_pax:q3map
{
	surfaceparm nodamage
}

textures/FuggyJumps/e8support05:q3map
{
	surfaceparm nodamage
}
